% System parameters (NROSA-DA)
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%  Noise-Reduced Reaction-Oriented Sensitivity Analysis  %%%%%%%%%
%%%%%%%%%%            Derivative-Based Approximation              %%%%%%%%%
%%%%%%%%%%               Authors: Zhang/Goutsias                  %%%%%%%%%
%%%%%%%%%%              Last Modified: 09/17/2010                 %%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%

M   = 25;               % Number of reactions
N   = 23;               % Number of molecular species

%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%% Rate constant values
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%

kappa     = repmat(0,[2*M,1]);

kappa(1)  = 3.00e-03;
kappa(2)  = 6.00e-02;
kappa(3)  = 1.00e-02;
kappa(4)  = 1.00e-01;
kappa(5)  = 1.00e+00;
kappa(6)  = 1.00e-02;
kappa(7)  = 4.50e+02;
kappa(8)  = 5.00e+01;
kappa(9)  = 6.00e-02;
kappa(10) = 2.00e-01;
kappa(11) = 1.00e+00;
kappa(12) = 5.00e-02;
kappa(13) = 3.00e-01;
kappa(14) = 6.00e-03;
kappa(15) = 1.00e+00;
kappa(16) = 1.00e+02;
kappa(17) = 3.00e-03;
kappa(18) = 5.00e-02;
kappa(19) = 1.00e-02;
kappa(20) = 6.00e-02;
kappa(21) = 3.00e-02;
kappa(22) = 4.50e-03;
kappa(23) = 1.50e-03;
kappa(24) = 1.00e-04;
kappa(25) = 9.00e-02;
kappa(26) = 6.00e-01;
kappa(27) = 6.00e+00;
kappa(28) = 6.00e-02;
kappa(29) = 3.00e-01;
kappa(30) = 9.00e-04;
kappa(31) = 1.70e+00;
kappa(32) = 3.40e+02;
kappa(33) = 3.00e-03;
kappa(34) = 1.00e-01;
kappa(35) = 3.00e-01;
kappa(36) = 9.00e-04;
kappa(37) = 1.00e-02;
kappa(38) = 2.14e-02;
kappa(39) = 1.20e-01;
kappa(40) = 2.40e-04;
kappa(41) = 3.00e-03;
kappa(42) = 1.00e-01; 
kappa(43) = 3.00e-02;
kappa(44) = 6.40e-02;
kappa(45) = 1.00e-01;
kappa(46) = 2.10e-02;
kappa(47) = 9.00e-03;
kappa(48) = 4.29e-02; 
kappa(49) = 1.00e+00;
kappa(50) = 3.00e-02;

%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%% Stoichiometry matrix
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%

stoich = xlsread('stoichmtry_EGFR.xls');
stoich = stoich(1:N,1:2*M);