% Write sensitivity results (NROSA-DA)
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%  Noise-Reduced Reaction-Oriented Sensitivity Analysis  %%%%%%%%%
%%%%%%%%%%            Derivative-Based Approximation              %%%%%%%%%
%%%%%%%%%%               Authors: Zhang/Goutsias                  %%%%%%%%%
%%%%%%%%%%              Last Modified: 09/17/2010                 %%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%

%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%% Write SESIs
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%

% TIMING

fid = fopen('..\results\reports\timing_sens.txt','w');
fprintf(fid,'\t\t\t\n');
fprintf(fid,'NR DA-BASED REACTION RESULTS (TIMING)');
fprintf(fid,'\n\nNumber of MC-LHS iterations = %1.0f',L);
fprintf(fid,'\n\nSize of finite-difference = %2.4f',delta);
fprintf(fid,'\n\nSize of experimental perturbations = %2.4f',sigma);
fprintf(fid,'\n\nThreshold = %2.4f',theta);
fprintf(fid,'\n\n\nReaction\t\tSESI\t\t\tClassification\n\n');
for m = 1:M
    Sens = [reac(m);sigmat(m)];
    if sigmat(m) <= theta
        fprintf(fid,'%1.0f\t%18.4f\t\t\tNON-INFLUENTIAL\n',Sens);
    else
        fprintf(fid,'%1.0f\t%18.4f\t\t\t****INFLUENTIAL\n',Sens);
    end
end
fclose(fid);

% DURATION

fid = fopen('..\results\reports\duration_sens.txt','w');
fprintf(fid,'\t\t\t\n');
fprintf(fid,'NR DA-BASED REACTION RESULTS (DURATION)');
fprintf(fid,'\n\nNumber of MC-LHS iterations = %1.0f',L);
fprintf(fid,'\n\nSize of finite-difference = %2.4f',delta);
fprintf(fid,'\n\nSize of experimental perturbations = %2.4f',sigma);
fprintf(fid,'\n\nThreshold = %2.4f',theta);
fprintf(fid,'\n\n\nReaction\t\tSESI\t\t\tClassification\n\n');
for m = 1:M
    Sens = [reac(m);sigmad(m)];
    if sigmad(m) <= theta
        fprintf(fid,'%1.0f\t%18.4f\t\t\tNON-INFLUENTIAL\n',Sens);
    else
        fprintf(fid,'%1.0f\t%18.4f\t\t\t****INFLUENTIAL\n',Sens);
    end
end
fclose(fid);

% STRENGTH

fid = fopen('..\results\reports\strength_sens.txt','w');
fprintf(fid,'\t\t\t\n');
fprintf(fid,'NR DA-BASED REACTION RESULTS (STRENGTH)');
fprintf(fid,'\n\nNumber of MC-LHS iterations = %1.0f',L);
fprintf(fid,'\n\nSize of finite-difference = %2.4f',delta);
fprintf(fid,'\n\nSize of experimental perturbations = %2.4f',sigma);
fprintf(fid,'\n\nThreshold = %2.4f',theta);
fprintf(fid,'\n\n\nReaction\t\tSESI\t\t\tClassification\n\n');
for m = 1:M
    Sens = [reac(m);sigmas(m)];
    if sigmas(m) <= theta
        fprintf(fid,'%1.0f\t%18.4f\t\t\tNON-INFLUENTIAL\n',Sens);
    else
        fprintf(fid,'%1.0f\t%18.4f\t\t\t****INFLUENTIAL\n',Sens);
    end
end
fclose(fid);

% RATIO

fid = fopen('..\results\reports\ratio_sens.txt','w');
fprintf(fid,'\t\t\t\n');
fprintf(fid,'NR DA-BASED REACTION RESULTS (RATIO)');
fprintf(fid,'\n\nNumber of MC-LHS iterations = %1.0f',L);
fprintf(fid,'\n\nSize of finite-difference = %2.4f',delta);
fprintf(fid,'\n\nSize of experimental perturbations = %2.4f',sigma);
fprintf(fid,'\n\nThreshold = %2.4f',theta);
fprintf(fid,'\n\n\nReaction\t\tSESI\t\t\tClassification\n\n');
for m = 1:M
    Sens = [reac(m);sigmar(m)];
    if sigmar(m) <= theta
        fprintf(fid,'%1.0f\t%18.4f\t\t\tNON-INFLUENTIAL\n',Sens);
    else
        fprintf(fid,'%1.0f\t%18.4f\t\t\t****INFLUENTIAL\n',Sens);
    end
end
fclose(fid);