% Write sensitivity results (NROSA-OHA)
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%  Noise Reduced Reaction-Oriented Sensitivity Analysis  %%%%%%%%%
%%%%%%%%%%                 OHA COMPUTATION                        %%%%%%%%%
%%%%%%%%%%             Authors: Zhang/Goutsias                    %%%%%%%%%
%%%%%%%%%%            Last Modified: 09/17/2010                   %%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%

%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%% Write SESIs and JESIs
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%

% TIMING

fid = fopen('..\results\reports\timing.txt','w');
fprintf(fid,'\t\t\t\n');
fprintf(fid,'OHA-BASED REACTION RESULTS (TIMING)\n\n');
fprintf(fid,'Number of MC-LHS iterations = %1.0f',L);
fprintf(fid,'\n\nSize of biochemical perturbations = %2.4f',rlambda);
fprintf(fid,'\n\nSize of expermental perturbations = %2.4f',sigma);
fprintf(fid,'\n\nThreshold = %2.4f',eps);
fprintf(fid,'\n\nNoninfluential group TESI = %2.4f',taut0);
fprintf(fid,'\n\n\nReaction\tTESI\t\tClassification\n');
for m = 1:M
    Sens = [reac(m);taut(m)];
    if taut(m) <= epst
        fprintf(fid,'\n%1.0f\t\t%10.4f\t\tNON-INFLUENTIAL',Sens);
    else
        fprintf(fid,'\n%1.0f\t\t%10.4f\t\t****INFLUENTIAL',Sens);
    end
end
fclose(fid);

% DURATION

fid = fopen('..\results\reports\duration.txt','w');
fprintf(fid,'\t\t\t\n');
fprintf(fid,'OHA-BASED REACTION RESULTS (DURATION)\n\n');
fprintf(fid,'Number of MC-LHS iterations = %1.0f',L);
fprintf(fid,'\n\nSize of biochemical perturbations = %2.4f',rlambda);
fprintf(fid,'\n\nSize of expermental perturbations = %2.4f',sigma);
fprintf(fid,'\n\nThreshold = %2.4f',eps);
fprintf(fid,'\n\nNoninfluential group TESI = %2.4f',taud0);
fprintf(fid,'\n\n\nReaction\tTESI\t\tClassification\n');
for m = 1:M
    Sens = [reac(m);taud(m)];
    if taud(m) <= epsd
        fprintf(fid,'\n%1.0f\t\t%10.4f\t\tNON-INFLUENTIAL',Sens);
    else
        fprintf(fid,'\n%1.0f\t\t%10.4f\t\t****INFLUENTIAL',Sens);
    end
end
fclose(fid);

% STRENGTH

fid = fopen('..\results\reports\strength.txt','w');
fprintf(fid,'\t\t\t\n');
fprintf(fid,'OHA-BASED REACTION RESULTS (STRENGTH)\n\n');
fprintf(fid,'Number of MC-LHS iterations = %1.0f',L);
fprintf(fid,'\n\nSize of biochemical perturbations = %2.4f',rlambda);
fprintf(fid,'\n\nSize of expermental perturbations = %2.4f',sigma);
fprintf(fid,'\n\nThreshold = %2.4f',eps);
fprintf(fid,'\n\nNoninfluential group TESI = %2.4f',taus0);
fprintf(fid,'\n\n\nReaction\tTESI\t\tClassification\n');
for m = 1:M
    Sens = [reac(m);taus(m)];
    if taus(m) <= epss
        fprintf(fid,'\n%1.0f\t\t%10.4f\t\tNON-INFLUENTIAL',Sens);
    else
        fprintf(fid,'\n%1.0f\t\t%10.4f\t\t****INFLUENTIAL',Sens);
    end
end
fclose(fid);

% RATIO

fid = fopen('..\results\reports\ratio.txt','w');
fprintf(fid,'\t\t\t\n');
fprintf(fid,'OHA-BASED REACTION RESULTS (RATIO)\n\n');
fprintf(fid,'Number of MC-LHS iterations = %1.0f',L);
fprintf(fid,'\n\nSize of biochemical perturbations = %2.4f',rlambda);
fprintf(fid,'\n\nSize of expermental perturbations = %2.4f',sigma);
fprintf(fid,'\n\nThreshold = %2.4f',eps);
fprintf(fid,'\n\nNoninfluential group TESI = %2.4f',taur0);
fprintf(fid,'\n\n\nReaction\tTESI\t\tClassification\n');
for m = 1:M
    Sens = [reac(m);taur(m)];
    if taur(m) <= epsr
        fprintf(fid,'\n%1.0f\t\t%10.4f\t\tNON-INFLUENTIAL',Sens);
    else
        fprintf(fid,'\n%1.0f\t\t%10.4f\t\t****INFLUENTIAL',Sens);
    end
end
fclose(fid);