% Righ-hand-side of ODE system (NSOSA-OHA)
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%% Noise Reduced Species-Oriented Sensitivity Analysis %%%%%%%%%%
%%%%%%%%%%%%                OHA COMPUTATION                      %%%%%%%%%%
%%%%%%%%%%%%            Authors: Zhang/Goutsias                  %%%%%%%%%%
%%%%%%%%%%%%           Last Modified: 09/20/2010                 %%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%

function dxdt = netode_EGFR(t,x,kappa,stoich)

%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%% Reaction fluxes
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%

rho(1)	= kappa(1)*x(1)*x(2);
rho(2)	= kappa(2)*x(3);
rho(3)	= kappa(3)*x(3)*x(3);
rho(4)	= kappa(4)*x(4);
rho(5)	= kappa(5)*x(4);
rho(6)	= kappa(6)*x(5);
rho(7)	= kappa(7)*x(5)/(kappa(8) + x(5));
rho(8)	= 0;
rho(9)	= kappa(9)*x(5)*x(6);
rho(10)	= kappa(10)*x(7);
rho(11)	= kappa(11)*x(7);
rho(12)	= kappa(12)*x(8);
rho(13)	= kappa(13)*x(8);
rho(14)	= kappa(14)*x(5)*x(9);
rho(15)	= kappa(15)*x(9)/(kappa(16) + x(9));
rho(16)	= 0;
rho(17)	= kappa(17)*x(5)*x(10);
rho(18)	= kappa(18)*x(11);
rho(19)	= kappa(19)*x(11)*x(12);
rho(20)	= kappa(20)*x(13);
rho(21)	= kappa(21)*x(13);
rho(22)	= kappa(22)*x(5)*x(14);
rho(23)	= kappa(23)*x(14);
rho(24)	= kappa(24)*x(10)*x(12);
rho(25)	= kappa(25)*x(5)*x(15);
rho(26)	= kappa(26)*x(16);
rho(27)	= kappa(27)*x(16);
rho(28)	= kappa(28)*x(17);
rho(29)	= kappa(29)*x(17);
rho(30)	= kappa(30)*x(5)*x(18);
rho(31)	= kappa(31)*x(18)/(kappa(32) + x(18));
rho(32)	= 0;
rho(33)	= kappa(33)*x(10)*x(17);
rho(34)	= kappa(34)*x(19);
rho(35)	= kappa(35)*x(19);
rho(36)	= kappa(36)*x(5)*x(20);
rho(37)	= kappa(37)*x(12)*x(19);
rho(38)	= kappa(38)*x(21);
rho(39)	= kappa(39)*x(21);
rho(40)	= kappa(40)*x(5)*x(22);
rho(41)	= kappa(41)*x(10)*x(18);
rho(42)	= kappa(42)*x(20);
rho(43)	= kappa(43)*x(12)*x(20);
rho(44)	= kappa(44)*x(22);
rho(45)	= kappa(45)*x(22);
rho(46)	= kappa(46)*x(14)*x(18);
rho(47)	= kappa(47)*x(14)*x(17);
rho(48)	= kappa(48)*x(21);
rho(49)	= kappa(49)*x(9);
rho(50)	= kappa(50)*x(23);


%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%% Vector of concentration derivatives
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%

dxdt = stoich(:,kappa > 0)*rho(kappa > 0)';