% Write sensitivity results (NSOSA-OHA)
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%% Noise Reduced Species-Oriented Sensitivity Analysis %%%%%%%%%%
%%%%%%%%%%%%                OHA COMPUTATION                      %%%%%%%%%%
%%%%%%%%%%%%            Authors: Zhang/Goutsias                  %%%%%%%%%%
%%%%%%%%%%%%           Last Modified: 09/20/2010                 %%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%

%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%% Write SESIs and JESIs
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%

% TIMING

fid = fopen('..\results\reports\timing.txt','w');
fprintf(fid,'\t\t\t\n');
fprintf(fid,'OHA-BASED SPECIES RESULTS (TIMING)\n\n');
fprintf(fid,'Number of MC-LHS iterations = %1.0f',L);
fprintf(fid,'\n\nSize of biochemical perturbations = %2.4f',slambda);
fprintf(fid,'\n\nSize of experimental perturbations = %2.4f',sigma);
fprintf(fid,'\n\nThreshold = %2.4f',eps);
fprintf(fid,'\n\nNoninfluential group TESI = %2.4f',taut0);
fprintf(fid,'\n\n\nReaction\tTESI\t\tClassification\n');
for n = 1:N
    Sens = [spec(n);taut(n)];
    if taut(n) <= epst
        fprintf(fid,'\n%1.0f\t\t%10.4f\t\tNON-INFLUENTIAL',Sens);
    else
        fprintf(fid,'\n%1.0f\t\t%10.4f\t\t****INFLUENTIAL',Sens);
    end
end
fclose(fid);

% DURATION

fid = fopen('..\results\reports\duration.txt','w');
fprintf(fid,'\t\t\t\n');
fprintf(fid,'OHA-BASED SPECIES RESULTS (DURATION)\n\n');
fprintf(fid,'Number of MC-LHS iterations = %1.0f',L);
fprintf(fid,'\n\nSize of biochemical perturbations = %2.4f',slambda);
fprintf(fid,'\n\nSize of experimental perturbations = %2.4f',sigma);
fprintf(fid,'\n\nThreshold = %2.4f',eps);
fprintf(fid,'\n\nNoninfluential group TESI = %2.4f',taud0);
fprintf(fid,'\n\n\nReaction\tTESI\t\tClassification\n');
for n = 1:N
    Sens = [spec(n);taud(n)];
    if taud(n) <= epsd
        fprintf(fid,'\n%1.0f\t\t%10.4f\t\tNON-INFLUENTIAL',Sens);
    else
        fprintf(fid,'\n%1.0f\t\t%10.4f\t\t****INFLUENTIAL',Sens);
    end
end
fclose(fid);

% STRENGTH

fid = fopen('..\results\reports\strength.txt','w');
fprintf(fid,'\t\t\t\n');
fprintf(fid,'OHA-BASED SPECIES RESULTS (STRENGTH)\n\n');
fprintf(fid,'Number of MC-LHS iterations = %1.0f',L);
fprintf(fid,'\n\nSize of biochemical perturbations = %2.4f',slambda);
fprintf(fid,'\n\nSize of experimental perturbations = %2.4f',sigma);
fprintf(fid,'\n\nThreshold = %2.4f',eps);
fprintf(fid,'\n\nNoninfluential group TESI = %2.4f',taus0);
fprintf(fid,'\n\n\nReaction\tTESI\t\tClassification\n');
for n = 1:N
    Sens = [spec(n);taus(n)];
    if taus(n) <= epss
        fprintf(fid,'\n%1.0f\t\t%10.4f\t\tNON-INFLUENTIAL',Sens);
    else
        fprintf(fid,'\n%1.0f\t\t%10.4f\t\t****INFLUENTIAL',Sens);
    end
end
fclose(fid);

% RATIO

fid = fopen('..\results\reports\ratio.txt','w');
fprintf(fid,'\t\t\t\n');
fprintf(fid,'OHA-BASED SPECIES RESULTS (RATIO)\n\n');
fprintf(fid,'Number of MC-LHS iterations = %1.0f',L);
fprintf(fid,'\n\nSize of biochemical perturbations = %2.4f',slambda);
fprintf(fid,'\n\nSize of experimental perturbations = %2.4f',sigma);
fprintf(fid,'\n\nThreshold = %2.4f',eps);
fprintf(fid,'\n\nNoninfluential group TESI = %2.4f',taur0);
fprintf(fid,'\n\n\nReaction\tTESI\t\tClassification\n');
for n = 1:N
    Sens = [spec(n);taur(n)];
    if taur(n) <= epsr
        fprintf(fid,'\n%1.0f\t\t%10.4f\t\tNON-INFLUENTIAL',Sens);
    else
        fprintf(fid,'\n%1.0f\t\t%10.4f\t\t****INFLUENTIAL',Sens);
    end
end
fclose(fid);