clear all;
close all;

% ROSA VSI's
load rosa_pub.mat        % find the rosa workspace file based on the published nominal values and load it
etat1 = etat;
sigmat1 = sigmat;
etas1 = etas;
sigmas1 = sigmas;
load rosa_per.mat        % find the rosa workspace file based on the perturbed nominal values and load it
etat2 = etat;
sigmat2 = sigmat;
etas2 = etas;
sigmas2 = sigmas;

figure
h = stem(reac,[etat1;etat2]','--','k');
set(h(1),'MarkerFaceColor','blue','MarkerSize',12,'Marker','o')
set(h(2),'MarkerFaceColor','red','MarkerSize',12,'Marker','square')
axis([0 M+1 -0.02 0.5])
set(gca,'xtick',(1:2:M),'FontSize',18)
set(gca,'ytick',(0:0.05:0.5),'FontSize',18)
legend('published','perturbed')
xlabel('reaction','FontSize',14)
ylabel('JESI','FontSize',14)
title('{\bf ROSA (Timing)}','FontSize',14)
clear threshold
threshold(1:M+2) = theta;
index = (0:M+1);
hold on
plot(index,threshold)

figure
h = stem(reac,[sigmat1;sigmat2]','--','k');
set(h(1),'MarkerFaceColor','blue','MarkerSize',12,'Marker','o')
set(h(2),'MarkerFaceColor','red','MarkerSize',12,'Marker','square')
axis([0 M+1 -0.04 0.5])
set(gca,'xtick',(1:2:M),'FontSize',18)
set(gca,'ytick',(0:0.05:0.5),'FontSize',18)
legend('published','perturbed')
xlabel('reaction','FontSize',14)
ylabel('SESI','FontSize',14)
title('{\bf ROSA (Timing)}','FontSize',14)
clear threshold
threshold(1:M+2) = theta;
index = (0:M+1);
hold on
plot(index,threshold)

figure
h = stem(reac,[etas1;etas2]','--','k');
set(h(1),'MarkerFaceColor','blue','MarkerSize',12,'Marker','o')
set(h(2),'MarkerFaceColor','red','MarkerSize',12,'Marker','square')
axis([0 M+1 -0.02 0.5])
set(gca,'xtick',(1:2:M),'FontSize',18)
set(gca,'ytick',(0:0.05:0.5),'FontSize',18)
legend('published','perturbed')
xlabel('reaction','FontSize',14)
ylabel('JESI','FontSize',14)
title('{\bf ROSA (Strength)}','FontSize',14)
clear threshold
threshold(1:M+2) = theta;
index = (0:M+1);
hold on
plot(index,threshold)

figure
h = stem(reac,[sigmas1;sigmas2]','--','k');
set(h(1),'MarkerFaceColor','blue','MarkerSize',12,'Marker','o')
set(h(2),'MarkerFaceColor','red','MarkerSize',12,'Marker','square')
axis([0 M+1 -0.04 0.5])
set(gca,'xtick',(1:2:M),'FontSize',18)
set(gca,'ytick',(0:0.05:0.5),'FontSize',18)
legend('published','perturbed')
xlabel('reaction','FontSize',14)
ylabel('SESI','FontSize',14)
title('{\bf ROSA (Strength)}','FontSize',14)
clear threshold
threshold(1:M+2) = theta;
index = (0:M+1);
hold on
plot(index,threshold)

% ROSA NR-VSI's
load nrosa_pub.mat        % find the noise-reduced rosa workspace file based on the published nominal values and load it
etat1 = etat;
sigmat1 = sigmat;
etas1 = etas;
sigmas1 = sigmas;
load nrosa_per.mat        % find the noise-reduced rosa workspace file based on the perturbed nominal values and load it
etat2 = etat;
sigmat2 = sigmat;
etas2 = etas;
sigmas2 = sigmas;

figure
h = stem(reac,[etat1;etat2]','--','k');
set(h(1),'MarkerFaceColor','blue','MarkerSize',12,'Marker','o')
set(h(2),'MarkerFaceColor','red','MarkerSize',12,'Marker','square')
axis([0 M+1 -0.02 0.5])
set(gca,'xtick',(1:2:M),'FontSize',18)
set(gca,'ytick',(0:0.05:0.5),'FontSize',18)
legend('published','perturbed')
xlabel('reaction','FontSize',14)
ylabel('NR-JESI','FontSize',14)
title('{\bf ROSA (Timing)}','FontSize',14)
clear threshold
threshold(1:M+2) = theta;
index = (0:M+1);
hold on
plot(index,threshold)

figure
h = stem(reac,[sigmat1;sigmat2]','--','k');
set(h(1),'MarkerFaceColor','blue','MarkerSize',12,'Marker','o')
set(h(2),'MarkerFaceColor','red','MarkerSize',12,'Marker','square')
axis([0 M+1 -0.04 0.5])
set(gca,'xtick',(1:2:M),'FontSize',18)
set(gca,'ytick',(0:0.05:0.5),'FontSize',18)
legend('published','perturbed')
xlabel('reaction','FontSize',14)
ylabel('NR-SESI','FontSize',14)
title('{\bf ROSA (Timing)}','FontSize',14)
clear threshold
threshold(1:M+2) = theta;
index = (0:M+1);
hold on
plot(index,threshold)

figure
h = stem(reac,[etas1;etas2]','--','k');
set(h(1),'MarkerFaceColor','blue','MarkerSize',12,'Marker','o')
set(h(2),'MarkerFaceColor','red','MarkerSize',12,'Marker','square')
axis([0 M+1 -0.02 0.5])
set(gca,'xtick',(1:2:M),'FontSize',18)
set(gca,'ytick',(0:0.05:0.5),'FontSize',18)
legend('published','perturbed')
xlabel('reaction','FontSize',14)
ylabel('NR-JESI','FontSize',14)
title('{\bf ROSA (Strength)}','FontSize',14)
clear threshold
threshold(1:M+2) = theta;
index = (0:M+1);
hold on
plot(index,threshold)

figure
h = stem(reac,[sigmas1;sigmas2]','--','k');
set(h(1),'MarkerFaceColor','blue','MarkerSize',12,'Marker','o')
set(h(2),'MarkerFaceColor','red','MarkerSize',12,'Marker','square')
axis([0 M+1 -0.04 0.5])
set(gca,'xtick',(1:2:M),'FontSize',18)
set(gca,'ytick',(0:0.05:0.5),'FontSize',18)
legend('published','perturbed')
xlabel('reaction','FontSize',14)
ylabel('NR-SESI','FontSize',14)
title('{\bf ROSA (Strength)}','FontSize',14)
clear threshold
threshold(1:M+2) = theta;
index = (0:M+1);
hold on
plot(index,threshold)